Unit taeb3r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEB3R_p;

function taeb3r: String;

implementation

function taeb3r: String;
var
MB,I,N,MM,M,IERR,_i :Integer;
RLB,RUB :Real;
A :Array [0..20] of Real;
EV :Array [0..6] of Real;
IRAB1 :Array [0..6] of Integer;
RAB :Array [0..34] of Real;
label
_1;
begin
Result := '';  {   }
for I:=1 to 7 do
 begin
  A[(I-1)+14] := Power(10.0,7-I);
  A[(I-1)+7] := 10.0;
_1:
  A[(I-1)+0] := 1.0;
 end;
Result := Result + Format('%s',
 ['   COCTBEHHX HAEH ' + #$0D#$0A +
 '    ' + #$0D#$0A +
 ' YPABHEH BA:AX=LAMBDA*X, E A - ' + #$0D#$0A +
 ' BEECTBEHHA CMMETPECKA EHTOHA MATPA ']) + #$0D#$0A; 
N := 7;
MB := 3;
MM := 7;
RLB := -6.0;
RUB := IntPower(10.0,7);
AEB3R(N,MB,MM,M,RLB,RUB,A,EV,IRAB1,RAB,IERR);
Result := Result + Format('%s',[#$0D#$0A + ' PETAT']) + #$0D#$0A; 
Result := Result + Format('%s',[#$0D#$0A + ' EV' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 6 do
 begin
  Result := Result + Format('%20.16f ',[EV[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('taeb3r',Result);  {     taeb3r.res }
exit;
end;

end.
